Package com.independentsoft.office.charts

# Class XValues

java.lang.Object
com.independentsoft.office.charts.XValues

public class XValues extends Object
The Class XValues.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XValues()`
  Instantiates a new x values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XValues`
  `clone()`
  `MultiLevelStringReference`
  `getMultiLevelStringReference()`
  Gets the multi level string reference.
  `NumberLiteral`
  `getNumberLiteral()`
  Gets the number literal.
  `NumberReference`
  `getNumberReference()`
  Gets the number reference.
  `StringLiteral`
  `getStringLiteral()`
  Gets the string literal.
  `StringReference`
  `getStringReference()`
  Gets the string reference.
  `void`
  `setMultiLevelStringReference​(MultiLevelStringReference multiLevelStringReference)`
  Sets the multi level string reference.
  `void`
  `setNumberLiteral​(NumberLiteral numberLiteral)`
  Sets the number literal.
  `void`
  `setNumberReference​(NumberReference numberReference)`
  Sets the number reference.
  `void`
  `setStringLiteral​(StringLiteral stringLiteral)`
  Sets the string literal.
  `void`
  `setStringReference​(StringReference stringReference)`
  Sets the string reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XValues

    public XValues()
    Instantiates a new x values.

- ## Method Details

  - ### clone

    public XValues clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMultiLevelStringReference

    public MultiLevelStringReference getMultiLevelStringReference()
    Gets the multi level string reference.
    Returns:
      the multi level string reference

  - ### setMultiLevelStringReference

    public void setMultiLevelStringReference​(MultiLevelStringReference multiLevelStringReference)
    Sets the multi level string reference.
    Parameters:
      `multiLevelStringReference` - the new multi level string reference

  - ### getNumberLiteral

    public NumberLiteral getNumberLiteral()
    Gets the number literal.
    Returns:
      the number literal

  - ### setNumberLiteral

    public void setNumberLiteral​(NumberLiteral numberLiteral)
    Sets the number literal.
    Parameters:
      `numberLiteral` - the new number literal

  - ### getNumberReference

    public NumberReference getNumberReference()
    Gets the number reference.
    Returns:
      the number reference

  - ### setNumberReference

    public void setNumberReference​(NumberReference numberReference)
    Sets the number reference.
    Parameters:
      `numberReference` - the new number reference

  - ### getStringLiteral

    public StringLiteral getStringLiteral()
    Gets the string literal.
    Returns:
      the string literal

  - ### setStringLiteral

    public void setStringLiteral​(StringLiteral stringLiteral)
    Sets the string literal.
    Parameters:
      `stringLiteral` - the new string literal

  - ### getStringReference

    public StringReference getStringReference()
    Gets the string reference.
    Returns:
      the string reference

  - ### setStringReference

    public void setStringReference​(StringReference stringReference)
    Sets the string reference.
    Parameters:
      `stringReference` - the new string reference